add_active_range
Prev | More Memory Management Functions | Next

## Name

add_active_range — Register a range of PFNs backed by physical memory

## Synopsis

`void __init add_active_range (` | unsigned int | nid,
| unsigned long | start_pfn,
| unsigned long | end_pfn`)`;

## Arguments

`nid`

  The node ID the range resides on

`start_pfn`

  The start PFN of the available physical memory

`end_pfn`

  The end PFN of the available physical memory

## Description

These ranges are stored in an early_node_map[] and later used by `free_area_init_nodes` to calculate zone sizes and holes. If the range spans a memory hole, it is up to the architecture to ensure the memory is not freed by the bootmem allocator. If possible the range being registered will be merged with existing ranges.

Prev | Up | Next
absent_pages_in_range | Home | shrink_active_range